> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Quick Start

Create your first Lumos integration: authenticate, create an app, and manage accounts.

**Get started with the Lumos API**

The Quick Start guide shows you how to create your first integration with Lumos. By the end of this tutorial, you’ll learn how to:

* Authenticate with the Lumos API.
* Create a sample application.
* Create an account in the sample application.
* List accounts in the sample application.

#### Prerequisites:

* Lumos API Key (available in your dashboard).
* Postman or a similar API client.
* Basic knowledge of REST APIs.

To start, try one of the Lumos [recipes](/recipes/list-all-your-companys-apps).

```text Lumos API Hostname theme={null}
https://api.lumos.com
```

# Authentication

Lumos authenticates API requests using API keys. You will need to pass in a header to all requests to the Lumos API like this one.

```bash Example cURL command theme={null}
curl 'https://api.lumos.com/appstore/apps' \
	--header 'Authorization: Bearer lsk_example_1234'
```

API Tokens inherit and retain the permissions of the user that created them.

### Creating an API token

1. Go to the [API Tokens page](https://app.lumosidentity.com/settings/api_tokens) in the Lumos settings.
2. Click "Add API Token".
3. Enter a Name and a Description.
4. Click "Create API Token."

Store your API token carefully. For security, Lumos shows the API Token only at creation time. All Lumos API Tokens are prefixed with `lsk_`.

***

## 1. Creating a sample application

```bash cURL theme={null}
curl -X POST "https://api.lumos.com/apps" \
     -H "Authorization: Bearer YOUR_API_TOKEN" \
     -H "Content-Type: application/json" \
     -d '{
           "name": "Custom HR Portal",
           "category": "HR_AND_LEARNING",
           "description": "Internal HR management portal"
         }'
```

## 2. Creating a sample account with permissions

```bash cURL theme={null}
curl -X POST "https://api.lumos.com/accounts/upload" \
     -H "Authorization: Bearer YOUR_API_TOKEN" \
     -H "Content-Type: application/json" \
     -d '{
           "app_id": "YOUR_APP_ID",
           "accounts": [
             {
               "unique_identifier": "john.doe",
               "email": "john.doe@example.com",
               "first_name": "John",
               "last_name": "Doe",
               "status": "ACTIVE",
               "permissions": [
                 {
                   "unique_identifier": "Role_1",
                   "type": "Standard",
                   "name": "Viewer"
                 }
               ]
             }
           ]
         }'
```

## 3. Listing the created account

```bash cURL theme={null}
curl -X GET "https://api.lumos.com/accounts?app_id=YOUR_APP_ID" \
     -H "Authorization: Bearer YOUR_API_TOKEN"
```

***

# Testing the API

You can further test the API by using:

* **Developer Portal:** [developers.lumos.com ](/reference/listapps-1)
* **Postman:** [Postman Collection](https://documenter.getpostman.com/view/118311/2sAYQggTiR).
